.tyui-icon::before {
    --icon-size: 1.5rem;
    content: "";
    mask-image: var(--icon-url);
    mask-size: 100% 100%;
    background-color: currentColor;
    display: inline-block;
    flex: 0 0 auto;
    height: var(--icon-size);
    width: var(--icon-size);
    vertical-align: calc((.75em - var(--icon-size))* .5);
}

.tyui-icon--xs::before {
    --icon-size: 1rem;
}

.tyui-icon--sm::before {
    --icon-size: 1.25rem;
}
.tyui-icon--lg::before {
    --icon-size: 2rem;
}
.tyui-icon--xl::before {
    --icon-size: 3rem;
}